Bug Hunting Session
Bug 31241 - faulty PDF from MATHTYPE equation
Summary: faulty PDF from MATHTYPE equation
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-30 12:28 UTC by angus lawson
Modified: 2015-05-06 14:24 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Libre doc (21.23 KB, application/vnd.oasis.opendocument.text)
2010-10-30 12:28 UTC, angus lawson
Details
Problem reproduced (35.72 KB, application/pdf)
2012-06-08 15:28 UTC, Julien Nabet
Details
problem workaround with embedded fonts (55.03 KB, application/pdf)
2013-06-13 18:19 UTC, Matt Bergkoetter
Details
Bug 31241 - LO 4.2.0.0.alfa0 screenshot (93.17 KB, image/jpeg)
2013-07-24 11:08 UTC, bfoman (inactive)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description angus lawson 2010-10-30 12:28:10 UTC
Created attachment 39911 [details]
Libre doc

PDF created by Libre has ugly right parenthesis in equation from MATHTYPE object.

Adobe PDF is OK.  

Libre FORMULA is OK.

(Need to use MATHTYPE to communicate with publisher.)
Comment 1 Björn Michaelsen 2011-12-23 11:34:51 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 2 Julien Nabet 2012-06-08 15:28:28 UTC
Created attachment 62820 [details]
Problem reproduced

On pc Debian x86-64 with master sources updated today, I reproduced the problem.
- open the file from the reportee
- export to PDF
Therefore, I attached the pdf so you can see.
Comment 3 Matt Bergkoetter 2013-06-13 18:19:57 UTC
Created attachment 80792 [details]
problem workaround with embedded fonts

This seems to be the same bug as  #50288:
https://bugs.freedesktop.org/show_bug.cgi?id=50288

The problem may be due to a font substitution that takes place in the conversion to PDF.  See this tech note from MathType:
http://www.dessci.com/en/support/mathtype/tsn/TSN69.htm

I was able to reproduce the problem in LibreOffice Version 4.0.3.3 when using the default export to PDF options, but when I did the export again and checked the option "Embed standard fonts" it worked fine.

Hope that helps. 
MDB
Comment 4 Julien Nabet 2013-06-18 19:41:13 UTC
Matt: I got the division sign even when exporting with embedded fonts. Is it the only option you checked? Could you rename your LO directory profile, check this option and give it a new try to be sure?
Comment 5 Matt Bergkoetter 2013-06-20 17:53:35 UTC
The behavior is the same with a fresh profile.  I renamed my current \user\ profile directory, and LO made a new one when I restarted the program.  Then I did Export to PDF..., and without Embed standard fonts the division sign appeared, but with the box checked the file exported correctly.  

Could the version of MathType make a difference?  I'm using 6.8
Comment 6 Julien Nabet 2013-06-20 18:05:34 UTC
Matt: thank you for your feedback.
I don't have mathtype, I just speak about LibreOffice and export pdf (so mathtype doesn't intervene here I think). On the pdf, I can see the division sign (so not the slash sign).
Comment 7 bfoman (inactive) 2013-07-24 11:08:14 UTC
Created attachment 82927 [details]
Bug 31241 - LO 4.2.0.0.alfa0 screenshot

(In reply to comment #5)
> I did Export to PDF..., and without Embed standard fonts the division sign
> appeared, but with the box checked the file exported correctly.  

Confirmed with:
LO 4.2.0.0.alfa0
Build ID: 2013-06-24 own debug build 
Windows 7 Professional SP1 64 bit

The same results. Also seems there are problems with displaying the Math objects in LibreOffice as on attached screenshot.
Comment 8 Julien Nabet 2013-07-24 11:10:52 UTC
Frédéric: you might be interested in this one.
Comment 9 Frédéric Wang 2013-07-24 13:39:16 UTC
(In reply to comment #8)
> Frédéric: you might be interested in this one.

A quick look into the archive, I see that object2 (created with StarMath) is a MathML document while Object1 and Object3 are some binary documents (probably MathType format). I'm not sure how MathType formulas are imported/exported. While MathType can export MathML, it seems that LibreOffice only communicates with MathType via these binary formats.
Comment 10 QA Administrators 2014-10-23 17:31:41 UTC
Please read this message in its entirety before responding.

Your bug was confirmed at least 1 year ago and has not had any activity on it for over a year. Your bug is still set to NEW which means that it is open and confirmed. It would be nice to have the bug confirmed on a newer version than the version reported in the original report to know that the bug is still present -- sometimes a bug is inadvertently fixed over time and just never closed.

If you have time please do the following:
1) Test to see if the bug is still present on a currently supported version of LibreOffice (preferably 4.2 or newer).
2) If it is present please leave a comment telling us what version of LibreOffice and your operating system.
3) If it is NOT present please set the bug to RESOLVED-WORKSFORME and leave a short comment telling us your version and Operating System

Please DO NOT
1) Update the version field
2) Reply via email (please reply directly on the bug tracker)
3) Set the bug to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 11 Matthew Francis 2015-04-06 06:13:22 UTC
Hard to sort out all the different things that are going wrong here

OSX/3.3.0.4: Brackets don't display correctly in document but are correct in PDF
OSX/4.4.2.2: Brackets look correct in document but are placed incorrectly in PDF
Linux/3.3.0.4: Brackets incorrect in both document and PDF
Linux/4.4.2.2: Middle of right bracket has been replaced with a ÷ (division sign) in the PDF

Linux and OSX also disagree about the first "h" in the first equation - on OSX it is a barred "h", on Linux it is a plain "h"


The explicit option to embed standard fonts mentioned in comment 3 has since been removed, and is now the default behaviour. Just possibly Windows may look right by default now... ?

An up to date PDF rendered on Windows with LO 4.4.x would be useful to help evaluate this. If it is correct, the best thing to do would probably be to close this original report as resolved (for Windows), and split out the issues on other platforms into their own bugs.


Setting status to NEEDINFO. Once the requested PDF has been attached, please set back to NEW
Comment 12 QA Administrators 2015-05-06 14:21:46 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team 

This INVALID Message was generated on: 2015-05-06

Warm Regards,
QA Team